Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/lang/io/Makefile,v
retrieving revision 1.26
diff -u -r1.26 Makefile
--- Makefile	11 Apr 2011 19:57:46 -0000	1.26
+++ Makefile	29 Apr 2011 17:58:39 -0000
@@ -6,65 +6,93 @@
 #
 
 PORTNAME=	io
-PORTVERSION=	0.0.2009.08.03
+PORTVERSION=	0.0.2010.06.07
 CATEGORIES=	lang
-MASTER_SITES=	${MASTER_SITE_LOCAL} \
+MASTER_SITES=	http://www.bayofrum.net/dist/${PORTNAME}/ \
+		${MASTER_SITE_LOCAL} \
     		http://people.freebsd.org/~gahr/distfiles/
 DISTNAME=	io-${PORTVERSION:S/0.0.//}
 
 MAINTAINER=	gahr@FreeBSD.org
 COMMENT=	Small prototype-based programming language
 
-BROKEN=		Fails in interesting ways with GNU make 3.82
-
-USE_GMAKE=	yes
-CFLAGS+=	-fPIC
+USE_ZIP=	yes
+USE_CMAKE=	yes
 USE_LDCONFIG=	yes
 
-WRKSRC=		${WRKDIR}/${DISTNAME}
-MAKE_ENV=	INSTALL_PREFIX="${PREFIX}"
+WRKSRC=		${WRKDIR}/stevedekorte-io-f641230
 
 # All addons that do not require extra dependencies
 # Additional addons may be added as separate ports with some
 # makefile hacking in a manner similar to Qt4 ports
 DEFAULT_ADDONS=	AsyncRequest Blowfish Box CGI ContinuedFraction Curses \
-		EditLine Flux Fnmatch LZO Loki MD5 NetworkAdapter \
+		EditLine Flux Fnmatch LZO Loki MD5 \
 		NotificationCenter Random Range Rational ReadLine SHA1 \
 		SqlDatabase Syslog SystemCall Thread User Zlib
 
 PORTDOCS=	*
 PORTEXAMPLES=	*
 
+OPTIONS=	SQLITE	"SQLite3 support"	off
+
 .include <bsd.port.pre.mk>
 
+.if defined(WITH_SQLITE)
+USE_SQLITE=	3
+DEFAULT_ADDONS+=SQLite3
+PLIST_SUB+=	SQLITE3=""
+SQLITE_LIB=	${LOCALBASE}/lib/libsqlite${SQLITE_VER}.so
+.else
+PLIST_SUB+=	SQLITE3="@comment "
+.endif
+
 post-patch:
-	@cd ${WRKSRC}/addons && for addon in *; do \
-		if ! ${ECHO_CMD} ${DEFAULT_ADDONS} | ${GREP} $$addon > /dev/null; then \
-			${RM} -fr $$addon; \
-		fi; \
-	done
-
-	@${REINPLACE_CMD} -e 's|CFLAGS = $$(OPTIMIZE)|CFLAGS +=|' \
-		${WRKSRC}/Makefile.lib
-	@${REINPLACE_CMD} -e '/CC = gcc/ d' \
-		${WRKSRC}/libs/basekit/source/simd_cph/test/Makefile
-	@${REINPLACE_CMD} -e '/cp _build\/dll\/.*\/bin/ d' ${WRKSRC}/Makefile
-.if ${ARCH} == "amd64"
-	@${REINPLACE_CMD} -e 's|^CFLAGS =|CFLAGS = -fPIC|' \
-	    ${WRKSRC}/Makefile.lib \
-	    ${WRKSRC}/libs/basekit/Makefile.lib
+.if defined(WITH_SQLITE3)
+	${REINPLACE_CMD} -e 's#.{SQLITE_LIBRARIES}#${SQLITE_LIB}#' \
+		${WRKSRC}/addons/SQLite3/CMakeLists.txt
 .endif
 
-post-install:
-	${MKDIR} ${PREFIX}/include/io
-	${INSTALL_DATA} ${WRKSRC}/_build/headers/* ${PREFIX}/include/io
+pre-configure:
+	@${REINPLACE_CMD} -e 's/^add_subdirectory/#&/' \
+		${WRKSRC}/addons/CMakeLists.txt
+.for addon in ${DEFAULT_ADDONS}
+	${ECHO} "add_subdirectory(${addon})" >> ${WRKSRC}/addons/CMakeLists.txt
+.endfor
+
+do-install:
+.for bin in io io_static
+	@${ECHO_CMD} -n '>> Installing ${bin}...'
+	@${INSTALL_PROGRAM} ${WRKSRC}/_build/binaries/${bin} \
+		${PREFIX}/bin
+	@${ECHO_CMD} " [DONE]"
+.endfor
+.for lib in libbasekit libgarbagecollector libcoroutine libiovmall
+	@${ECHO_CMD} -n ">> Installing ${lib}.so..."
+	@${INSTALL_LIB} ${WRKSRC}/_build/dll/${lib}.so \
+		${PREFIX}/lib
+	@${ECHO_CMD} " [DONE]"
+.endfor
+	@${MKDIR} ${PREFIX}/lib/${PORTNAME}
+.for addon in ${DEFAULT_ADDONS}
+# Regex saves problems of -path not working in this macro and
+# reduces the number of necessary primaries; we don't want anything
+# Makefile-ish installed
+	@${ECHO_CMD} -n ">> Installing addon ${addon}..."
+	@(cd ${WRKSRC}/addons \
+		&& ${COPYTREE_SHARE} ${addon} ${PREFIX}/lib/${PORTNAME} \
+			"! -regex .*[Mm]ake[_FfL].*" \
+	)
+	@${ECHO_CMD} " [DONE]"
+.endfor
+	@${MKDIR} ${PREFIX}/include/io
+	@${INSTALL_DATA} ${WRKSRC}/_build/headers/* ${PREFIX}/include/io
 
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${DOCSDIR}
 	@cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR}
 .endif
 .if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${EXAMPLESDIR}
 	@cd ${WRKSRC}/samples && ${COPYTREE_SHARE} . ${EXAMPLESDIR}
 .endif
 
Index: distinfo
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/lang/io/distinfo,v
retrieving revision 1.8
diff -u -r1.8 distinfo
--- distinfo	3 Aug 2009 15:43:40 -0000	1.8
+++ distinfo	29 Apr 2011 17:58:39 -0000
@@ -1,3 +1,2 @@
-MD5 (io-2009.08.03.tar.gz) = 228b75acef475e761e11a9ea3621bbac
-SHA256 (io-2009.08.03.tar.gz) = 8109b232ee3efe39e62ed6335b031c44fcb99ef31c0efcc068c8f9329a725970
-SIZE (io-2009.08.03.tar.gz) = 22969761
+SHA256 (io-2010.06.07.zip) = d8f5aba87f6287796ed463e56ccdaa8454d45d24b83c8b13b8d2621564be2f10
+SIZE (io-2010.06.07.zip) = 9094609
